Bug 11843 - /net/<name for localhost> should be equivalent to /
Summary: /net/<name for localhost> should be equivalent to /
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: am-utils (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Peter Vrabec
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-06-02 03:03 UTC by Jonathan Kamens
Modified: 2007-04-18 16:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 19:31:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jonathan Kamens 2000-06-02 03:03:58 UTC
If I list /net/<foo>, where <foo> resolves to an IP address of the local
host, then I should see my root directory.

That is, /net/<any alias for the local host> should work regardless of
whether the local host is running NFS.

Comment 1 Nalin Dahyabhai 2000-06-10 20:56:24 UTC
Have you exported your root directory using NFS?

Comment 2 Jonathan Kamens 2000-06-11 03:55:11 UTC
No, I did not export my local root directory using NFS.  I do not think I should
NEED to export my local root directory using NFS.  That's what this enhancement
request is all about.  I should not have to run an NFS server on my local
machine to be able to list /net/localhost or /net/<some other name for the local
host> and have it work.


Comment 3 Nalin Dahyabhai 2000-07-10 19:15:46 UTC
Autofs does not yet support the tree mounts used for /net;
you must mean am-utils.

Comment 4 Nalin Dahyabhai 2000-07-10 19:17:10 UTC
Exporting your root directory is not necessary; the only thing that's
needed is that amd can contact a running mountd on your server,
and for that to work, at least *one* directory must be exported, if only
read-only.  Once that is done, you will be able to list your exported
directories under /net.

Comment 5 Joe Krahn 2001-08-02 17:13:47 UTC
My 2 cents: I think that what amd does is the right thing
to do. The purpose of using /net is so that your program
or script will be portable across the network. What amd could
do (as some automounts do) is creat a link instead of
NFS mounting local drives. Autofs (at least for IRIX)
will do as jik desires, so it may be a useful option to have.

Comment 6 Peter Vrabec 2005-09-28 15:03:21 UTC
Is this  what u ask for?

#amd.net
localhost       type:=link;fs:=/
*               host==${key};type:=link;fs:=/ \
                hostd==${key};type:=link;fs:=/ \               
fs:=${autodir}/${rhost}/root/${rfs};type:=host;rhost:=${key};rfs:=/;opts:=nosuid,nodev


Comment 7 Jonathan Kamens 2005-09-29 01:11:35 UTC
Sorry, I don't speak amd.  I have no idea what that says.


Comment 8 Peter Vrabec 2005-09-29 06:15:57 UTC
This map will allow you to NFS mount any host by using
/host/<hostname>/mountpoint syntax, plus it optimizes /host/localhost,
and /host/<localmachinename> to symlinks to /. 



Note You need to log in before you can comment on or make changes to this bug.